package univlyon1.recettes.actions;

import univlyon1.recettes.dao.RecetteORMDAO;
import univlyon1.recettes.modele.Ingredient;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintStream;

/**
 * Created by Emmanuel Coquery on 16/09/2015.
 */
public class AfficheIngredientAction extends SimpleQuestionAction {
    public AfficheIngredientAction(BufferedReader in, PrintStream out, RecetteORMDAO dao) {
        super(in,out,dao);
    }

    @Override
    protected String getQuestion() {
        return "Entrer le nom de l'ingrdient";
    }

    @Override
    protected String runWithAnswer(String answer) throws IOException {
        Ingredient ingredient = dao.getIngredientByNom(answer);
        if (ingredient != null) {
            StringBuilder sb = new StringBuilder();
            sb.append(ingredient.getNom());
            sb.append(":\n");
            sb.append(ingredient.getDescription());
            sb.append("\n");
            return sb.toString();
        } else {
            return "Cet ingrdient nous est inconnu.";
        }
    }

    @Override
    public String getDescription() {
        return "Afficher un ingrdient";
    }
}
