package univlyon1.recettes.actions;

import univlyon1.recettes.dao.RecetteORMDAO;
import univlyon1.recettes.modele.Ingredient;
import univlyon1.recettes.modele.Recette;

import java.io.IOException;

/**
 * Created by Emmanuel Coquery on 16/09/2015.
 */
public class ListIngredientsAction implements Action {

    private RecetteORMDAO dao;
    public ListIngredientsAction(RecetteORMDAO dao) {
        this.dao = dao;
    }

    @Override
    public String getDescription() {
        return "Afficher les ingrdients";
    }

    @Override
    public String run() throws IOException {
        StringBuilder sb = new StringBuilder();
        for(Ingredient ingredient : dao.getAllIngredients()) {
            sb.append(ingredient.getNom());
            sb.append("\n");
        }
        return sb.toString();
    }
}
