package univlyon1.recettes.actions;

import univlyon1.recettes.dao.RecetteORMDAO;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintStream;

/**
 * Created by Emmanuel Coquery on 12/09/2015.
 */
public abstract class SimpleQuestionAction extends IODAOAction {

    public SimpleQuestionAction(BufferedReader in, PrintStream out, RecetteORMDAO dao) {
        super(in, out, dao);
    }

    protected abstract String getQuestion();
    protected abstract String runWithAnswer(String answer) throws IOException;

    @Override
    public String run() throws IOException {
        print(getQuestion()+": ");
        String answer = read();
        return runWithAnswer(answer);
    }
}
